<?php
/*
 * Plugin Name: CoolIris-Piclens
 * File :  piclenswallconfig.php  
 */

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template, $page;
 
$pwgstuff_ok = get_db_plugins('active','PWG_Stuffs');
$me = get_plugin_data($plugin_id);

 $template->set_filenames( 
		array('plugin_admin_content' => PICLENS_ROOT.'/admin/piclenswallconfig.tpl',
			  'double_select' => 'double_select.tpl'
			) );



// Switch  on right side (=> )
if ( isset($_POST['falsify']) and !is_adviser() 
    and $_POST['from']=='wallcat'
    and isset($_POST['cat_true']) and count($_POST['cat_true']) > 0) 
{
	foreach ($_POST['cat_true'] as $cat)
		unset($me->my_config['piclens_wall_categories'][array_search($cat,$me->my_config['piclens_wall_categories'])]);

	$me->save_config();

}
// Switch  on left side ( <=)
if ( isset($_POST['trueify']) and !is_adviser() 
    and $_POST['from']=='wallcat'
    and isset($_POST['cat_false']) and count($_POST['cat_false']) > 0) 
{

	$query = '
	  SELECT id, name, uppercats, global_rank
	  FROM '.CATEGORIES_TABLE.
	  ' WHERE id IN ("'.implode('","', $_POST['cat_false']).'");';

	$result = pwg_query($query);
	$categories = array();
	if (!empty($result))
	{
		while ($row = mysql_fetch_assoc($result))
			array_push($categories, $row);			
	}
	usort($categories, 'global_rank_compare');

	if (!empty($result))
	{
		foreach ($categories as $cat)
		{
			array_push($me->my_config['piclens_wall_categories'], $cat['id']);
		}
	}

	$me->save_config();
}
			

if (isset($_POST['submit'])) { 
  $me->my_config['piclens_wall'] = isset($_POST['piclens_wall']);
  $me->my_config['piclens_wall_title'] = $_POST['piclens_wall_title'];
  $me->my_config['piclens_wall_height'] =   $_POST['piclens_wall_height'];

  $me->my_config['piclens_wall_nav'] = isset($_POST['piclens_wall_nav']);
  $me->my_config['piclens_wall_cat_nav_replace'] = isset($_POST['categories_nav']) ? 
                          array_map("mysql_escape_string", $_POST['categories_nav']) :
                          array(); 
  $me->my_config['piclens_wall_specif'] =   $_POST['piclens_wall_specif'];
  $me->my_config['piclens_wall_ontop'] = isset($_POST['piclens_wall_ontop']);  
  $me->my_config['piclens_wall_oncat'] = isset($_POST['piclens_wall_oncat']); 

  $me->my_config['piclens_wall_spec'] = isset($_POST['piclens_wall_spec']);
  $me->my_config['piclens_wall_spec_recentpics'] = isset($_POST['piclens_wall_spec_recentpics']);
  $me->my_config['piclens_wall_spec_recentcats'] = isset($_POST['piclens_wall_spec_recentcats']);
  $me->my_config['piclens_wall_spec_mostvisited'] = isset($_POST['piclens_wall_spec_mostvisited']);
  $me->my_config['piclens_wall_spec_bestrated'] = isset($_POST['piclens_wall_spec_bestrated']);
  $me->my_config['piclens_wall_spec_favorites'] = isset($_POST['piclens_wall_spec_favorites']);
  $me->my_config['piclens_wall_spec_tags'] = isset($_POST['piclens_wall_spec_tags']);

  $me->my_config['piclens_wall_swflocal'] = isset($_POST['piclens_wall_swflocal']);
  
  if ($pwgstuff_ok && $me->my_config['piclens_wall'])
  {
	array_push($page['errors'], l10n('piclens_admin_saveERR4'));
	$me->my_config['piclens_wall'] = false;
  }

  $me->save_config();
  array_push($page['infos'], l10n('piclens_admin_saveOK'));
	
}


// Copie fichier crossdomain a la racine
$filename = $_SERVER['DOCUMENT_ROOT'].'/crossdomain.xml';
// copie du fichier crossdomain.xml
if (isset($_POST['crossdomain_copy']))
{
	include_once(PICLENS_ADMIN_PATH . '/piclens_copy.php');
}

$query = '
  SELECT id,name,uppercats,global_rank
  FROM '.CATEGORIES_TABLE.';';

  display_select_cat_wrapper($query,
    $me->my_config['piclens_wall_cat_nav_replace'],
    'categories_nav',
    true);
	
	
// Test double select wall categories 
// Categories non prises en compte
$query = '
  SELECT id, name, uppercats, global_rank
  FROM '.CATEGORIES_TABLE.
  ' WHERE id not IN ("'.implode('","', $me->my_config['piclens_wall_categories']).'");';

  $result = pwg_query($query);
  $categories = array();
if (!empty($result))
{
	while ($row = mysql_fetch_assoc($result))
		array_push($categories, $row);
}
usort($categories, 'global_rank_compare');

$tpl = array();
if (!empty($result))
{
		foreach ($categories as $cat)
	{
      		$tpl[$cat['id']] = get_cat_display_name_cache($cat['uppercats'],
                                           null,
                                           false);
	
	}
}
$template->assign( 'category_option_false', $tpl);
$template->assign( 'category_option_false_selected', array());




// Categories prises en compte

$query = '
  SELECT id, name, uppercats, global_rank
  FROM '.CATEGORIES_TABLE.
  ' WHERE id IN ("'.implode('","', $me->my_config['piclens_wall_categories']).'");';

$result = pwg_query($query);
  $categories = array();
if (!empty($result))
{
	while ($row = mysql_fetch_assoc($result))
		array_push($categories, $row);
}
usort($categories, 'global_rank_compare');
$tpl2 = array();
if (!empty($result))
{
		foreach ($categories as $cat)
	{
      		$tpl2[$cat['id']] = get_cat_display_name_cache($cat['uppercats'],
                                           null,
                                           false);
	
	}
}
$template->assign( 'category_option_true', $tpl2);
$template->assign( 'category_option_true_selected', array());


$template->assign(Array(
	'F_ACTION' => '',
	'L_CAT_OPTIONS_TRUE' => l10n('SelectedCat'),
	'L_CAT_OPTIONS_FALSE' => l10n('NonSelectedCat'),
));


$template->assign(array(
	'PICLENS_COPY_CROSSDOMAIN'							=> file_exists($filename),
	'PICLENS_PWGSTUFF'									=> ($pwgstuff_ok ? 'disabled="disabled"' : ''),
	'PICLENS_PWGSTUFF1'									=> ($pwgstuff_ok ? l10n('piclens_label_pwgstuff1'): l10n('piclens_label_pwgstuff2')),
	'PICLENS_WALL_ACTIVATED'							=> ($me->my_config['piclens_wall'] ? 'checked="checked"' : '' ),
	$me->my_config['piclens_wall_specif'].'_CHECKED' 	=> 'checked="checked"',
	'PICLENS_WALL_HEIGHT' 								=> $me->my_config['piclens_wall_height'],
	'CROSSDOMAIN_LNK'									=> PICLENS_PATH.'crossdomain.xml',
	'PICLENS_WALL_ONTOP'								=> ($me->my_config['piclens_wall_ontop'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_ONCAT'								=> ($me->my_config['piclens_wall_oncat'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_NAV'									=> ($me->my_config['piclens_wall_nav'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_TITLE'								=> $me->my_config['piclens_wall_title'],
	'PICLENS_WALL_SPEC'									=> ($me->my_config['piclens_wall_spec'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SPEC'									=> ($me->my_config['piclens_wall_spec'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SPEC_RECENTPICS'						=> ($me->my_config['piclens_wall_spec_recentpics'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SPEC_RECENTCATS'						=> ($me->my_config['piclens_wall_spec_recentcats'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SPEC_MOSTVISITED'						=> ($me->my_config['piclens_wall_spec_mostvisited'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SPEC_BESTRATED'						=> ($me->my_config['piclens_wall_spec_bestrated'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SPEC_FAVORITES'						=> ($me->my_config['piclens_wall_spec_favorites'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SPEC_TAGS'							=> ($me->my_config['piclens_wall_spec_tags'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SWFLOCAL'								=> ($me->my_config['piclens_wall_swflocal'] ? 'checked="checked"' : '' )
	));

$template->assign_var_from_handle('DOUBLE_SELECT', 'double_select');
$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');

?>
